%define anolis_release 1

Name:           asciidoc
Version:        10.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Text based document generation

License:        GPL+ and GPLv2+
URL:            http://asciidoc.org
Source0:        https://github.com/asciidoc-py/asciidoc-py/archive/%{version}/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
BuildRequires:  dblatex
BuildRequires:  docbook-style-xsl
BuildRequires:  graphviz
BuildRequires:  libxslt
BuildRequires:  source-highlight
BuildRequires:  texlive-dvipng-bin
BuildRequires:  texlive-dvisvgm-bin
BuildRequires:  symlinks
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  make

Requires:       python3
Requires:       docbook-style-xsl
Requires:       graphviz
Requires:       libxslt
Requires:       source-highlight

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML and DocBook markups using the asciidoc(1) command.

%package doc
Summary:  Additional documentation and examples for asciidoc
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
%{summary}.

%package latex
Summary:  Support for asciidoc latex output
Requires: %{name} = %{version}-%{release}
Requires: dblatex
Requires: texlive-dvipng-bin

%description latex
%{summary}.

%prep
%autosetup -n %{name}-py-%{version} -p1

%build
autoreconf -v
%configure
%make_build

%install
make install docs manpages DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}/share/doc/doc/{asciidoc.1,a2x.1,testasciidoc.1} %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}/%{_pkgdocdir}/doc
mv %{buildroot}/share/doc/doc/ %{buildroot}/%{_pkgdocdir}/doc
mkdir -p %{buildroot}/%{_pkgdocdir}/doc/images
mv %{buildroot}/share/doc/images/ %{buildroot}/%{_pkgdocdir}/doc/images
rm  %{buildroot}/share/doc/{BUGS.adoc,CHANGELOG.adoc,INSTALL.adoc,README.md,dblatex/dblatex-readme.txt,docbook-xsl/asciidoc-docbook-xsl.txt}

%files
%license COPYRIGHT
%{_mandir}/man1/*.1*
%{_bindir}/a2x
%{_bindir}/asciidoc
%{python3_sitelib}/asciidoc-%{version}-py*.egg-info/
%{python3_sitelib}/asciidoc/
%exclude %{python3_sitelib}/asciidoc/resources/filters/latex
%exclude %{python3_sitelib}/asciidoc/resources/filters/music
%exclude %{_pkgdocdir}/doc

%files doc
%doc COPYRIGHT
%doc BUGS.adoc CHANGELOG.adoc README.md
%{_pkgdocdir}/doc/

%files latex
%doc COPYRIGHT
%dir %{python3_sitelib}/asciidoc/resources/filters/latex

%changelog
* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 10.2.0-1
- package init from upstream
